\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Is Model Relationships

Member CGAL::Exact_integer

  `EuclideanRing`

  `RealEmbeddable`

Member CGAL::Exact_rational

  `Field`

  `RealEmbeddable`

  `Fraction`

  `FromDoubleConstructible`

Class CGAL::Gmpfi

  `FieldWithKthRoot`

  `RealEmbeddable`

Class CGAL::Gmpfr

  `FieldWithKthRoot`

  `RealEmbeddable`

Class CGAL::Gmpq

  `Field`

  `RealEmbeddable`

  `Fraction`

Class CGAL::Gmpz

  `EuclideanRing`

  `RealEmbeddable`

Class CGAL::Gmpzf

  `EuclideanRing`

  `RealEmbeddable`

Class CGAL::Interval_nt< Protected >

  `FieldWithSqrt`

  `RealEmbeddable`

Class CGAL::Is_valid< T >
  `AdaptableFunctor`
Class CGAL::Lazy_exact_nt< NT >

  `IntegralDomainWithoutDivision` same as `NT`

  `RealEmbeddable`

  `Fraction`, if `NT` is a `Fraction`

Class CGAL::Max< T, Less >
  `AdaptableFunctor`
Class CGAL::Min< T, Less >
  `AdaptableFunctor`
Class CGAL::MP_Float

  `EuclideanRing`

  `RealEmbeddable`

Class CGAL::Mpzf

  `IntegralDomainWithoutDivision`

  `RealEmbeddable`

Class CGAL::NT_converter< NT1, NT2 >
  `AdaptableFunctor`
Class CGAL::Number_type_checker< NT1, NT2, Comparator >

  `IntegralDomainWithoutDivision` (same as `NT1`)

  `RealEmbeddable`

Class CGAL::Quotient< NT >

  `Field`

  `RealEmbeddable`

  `Fraction`

Class CGAL::Sqrt_extension< NT, ROOT, DifferentExtensionComparable, FilterPredicates >

  `Assignable`

  `CopyConstructible`

  `DefaultConstructible`

  `EqualityComparable`

  `ImplicitInteroperable` with int

  `ImplicitInteroperable` with NT

  `Fraction` if NT is a `Fraction`

  `RootOf_2`

Class CORE::BigFloat

  `FieldWithKthRoot`

  `RealEmbeddable`

  `FromDoubleConstructible`

Class CORE::BigInt

  `EuclideanRing`

  `RealEmbeddable`

Class CORE::BigRat

  `Field`

  `RealEmbeddable`

  `Fraction`

  `FromDoubleConstructible`

Class CORE::Expr

  `FieldWithRootOf`

  `RealEmbeddable`

  `FromDoubleConstructible`

File double.h

  `FieldWithSqrt`

  `RealEmbeddable`

File float.h

  `FieldWithSqrt`

  `RealEmbeddable`

Class leda_bigfloat

  `FieldWithKthRoot`

  `RealEmbeddable`

  `FromDoubleConstructible`

Class leda_integer

  `EuclideanRing`

  `RealEmbeddable`

Class leda_rational

  `Field`

  `RealEmbeddable`

  `Fraction`

  `FromDoubleConstructible`

Class leda_real

  `FieldWithRootOf`

  `RealEmbeddable`

  `FromDoubleConstructible`

File long_long.h

  `EuclideanRing`

  `RealEmbeddable`

Class mpq_class

  `Field`

  `RealEmbeddable`

  `Fraction`

Class mpz_class

  `EuclideanRing`

  `RealEmbeddable`